incubator-ooo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ariel Constenla-Haile <arie...@apache.org>
Subject Re: [Heads up][code] Apache Lucene updated to version 2.9.4
Date Sun, 13 May 2012 14:10:52 GMT
Hi Pedro,

On Sat, May 12, 2012 at 08:24:00PM -0500, Pedro Giffuni wrote:
> To respond your points, which are perfectly reasonable, in the
> case of these last two big changes:
> 
> 1) The code builds on FreeBSD-amd64, which is my dev. platform.
> 2) The code has been in use for a while on FreeBSD and/or Debian
> Linux for a while. I was very careful to choose only compatible
> updates.
> 3) I did my best to check the specific functionality that may be
> affected: it is unlikely I can catch all the use-cases but doing
> such changes early in development will help detect any
> remaining issue.

We have QA experts here ;) The idea behind my mail was: identify where
the libraries you are updating is used, then ask the QA people if they
can perform some tests (or ask here in the list for testing volunteers).
For people to test functionality, you must tell them first where/what to
test.

For example, with apache commons, I have no idea where this can be used,
opengrok suggests in the Report Builder (we don't build it anymore) and
the Wiki Publisher (this extension is not installed by default with the
office, and AFAIK we didn't upload a new version on the extensions
repository). 

In conclusion, for the third step, we should identify where the code is
used, ask for QA volunteers telling them what to test.


Regards
-- 
Ariel Constenla-Haile
La Plata, Argentina

Mime
View raw message